%define name tkcvs
%define version 8.2.2
%define ver %(echo %{version} | sed -e 's/\\./_/g')

Summary:	Tk interface for CVS
Name:		%{name}
Version:	%{version}
Release:	%mkrel 5
License:	GPLv2
Group:		Development/Tools
Source:		http://www.twobarleycorns.net/%{name}_%{ver}.tar.gz
Patch0:		tkcvs-8.2.1-paths.patch
Url:		http://www.twobarleycorns.net/tkcvs.html
Requires:	tk cvs tcl
BuildArch:	noarch
Epoch:		1

%description
TkCVS is a Tcl/Tk-based graphical interface to the CVS and Subversion
configuration management systems.  It includes facilities for providing
"user friendly" names to modules and directories within the repository,
and provides a facility to interactively browse the repository looking
for modules and directories.

%prep
%setup -q -n %{name}_%ver
%patch0 -p1 -b .paths

%install

install -d %buildroot/%_bindir/
install -d %buildroot/%_datadir/tkcvs/bitmaps
install -d %buildroot/%_mandir/man1

install tkcvs/tkcvs.tcl %buildroot/%_bindir/tkcvs
install tkdiff/tkdiff %buildroot/%_bindir/tkdiff
install tkcvs/*.tcl       %buildroot/%_datadir/tkcvs
install tkcvs/tclIndex    %buildroot/%_datadir/tkcvs
install tkcvs/bitmaps/*         %buildroot/%_datadir/tkcvs/bitmaps/
install tkcvs/*.1         %buildroot/%_mandir/man1
rm -f %buildroot/%_mandir/tkcvs/tkcvs_def.tcl
install -d %buildroot/%_sysconfdir/cvs/
install tkcvs/tkcvs_def.tcl %buildroot/%_sysconfdir/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/COPYING tkdiff.COPYING

# Menu support

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=TkCVS
Comment=Graphical interface to CVS and SVN
Exec=%{_bindir}/%{name}
Icon=development_tools_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;RevisionControl;
EOF

cat > %{buildroot}%{_datadir}/applications/mageia-tkdiff.desktop <<EOF
[Desktop Entry]
Name=TkDiff
Comment=Graphical interface to diff
Exec=%{_bindir}/tkdiff
Icon=development_tools_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;RevisionControl;
EOF

%files
%defattr(644,root,root,755)
%doc FAQ CHANGELOG tkdiff.COPYING
%attr(755,root,root) %_bindir/*
%{_datadir}/tkcvs/*.tcl
%dir %{_datadir}/tkcvs/
%dir %{_datadir}/tkcvs/bitmaps/
%{_datadir}/tkcvs/tclIndex
%{_datadir}/applications/*.desktop
%_mandir/man*/*
%{_datadir}/tkcvs/bitmaps/*
%config(noreplace) %_sysconfdir/cvs/tkcvs_def.tcl


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:8.2.2-5.mga3
+ Revision: 384600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 1:8.2.2-4.mga3
+ Revision: 308622
- spec clean-up
- update RPM group

* Thu Apr 14 2011 tv <tv> 1:8.2.2-3.mga1
+ Revision: 84907
- new release

* Wed Apr 06 2011 steletch <steletch> 1:8.2.1-3.mga1
+ Revision: 81461
- Clean spec file
- imported package tkcvs

